# Palette for use with the Linux console.  Black background.

color hdrdefault blue default
color quoted blue default
color signature blue default
color attachment red default
color message brightred default
color error brightred default
color indicator brightyellow blue
color status brightgreen blue
color tree white default
color normal white default
color markers red default
color search white default
color tilde brightmagenta default
color index blue default ~F
color index brightyellow default "~N|~O"

# color body brightwhite black '\*+[^*]+\*+'
# color body brightwhite black '_+[^_]+_+'
#

# color body brightwhite black '\*+[^*]+\*+'
# color body brightwhite black '_+[^_]+_+'
#

color index red default '~h "X-Spam-Status:.*score=(2|3)."'
color index brightred default '~h "X-Spam-Status:.*score=(4|5)."'
color index magenta default '~h "X-Spam-Status:.*score=(6|7|8|9)."'

color sidebar_new yellow default

# -[ DEFAULT COLOR DEFINITIONS ]-----------------------------------------------

color hdrdefault cyan           default
color quoted     cyan           default
color quoted1    brightblue     default
color quoted2    brightblue     default
color quoted3    yellow         default
color quoted4    red            default
color signature  cyan           default
color indicator  white          cyan
color attachment cyan           default
color error      red            default
color message    white          default
color search     white          default
color status     brightcyan     default
color tree       white          default
color normal     white          default
color tilde      green          default
color bold       white          default
color markers    red            default

# -[ COLOUR DEFINITIONS WHEN ON A MONO SCREEN ]--------------------------------

mono bold        bold
mono underline   underline
mono indicator   reverse

# -[ COLOURS FOR ITEMS IN THE READER ]-----------------------------------------

color header     brightwhite    default         "^(From|Subject):"
color header     red            default         "^X-Junked-Because:"
mono  header     bold                           "^(From|Subject|X-Junked-Because):"

# -[ COLOURS FOR ITEMS IN THE INDEX ]------------------------------------------

color index     cyan            default         ~N
color index     brightgreen     default         "~N ~x \"cmauch\.(gmail\.com|taclug\.org)\""
color index     red             default         ~F # Flagged
color index     white           red             ~T # Tagged
color index     white           default         ~D
mono  index     bold                            ~N
mono  index     bold                            ~F
mono  index     bold                            ~T
mono  index     bold                            ~D

# -[ HIGHLIGHTS INSIDE THE BODY OF A MESSAGE. ]--------------------------------

color body      brightmagenta   default         "(http|https|ftp|news|telnet|finger)://[^ \">\t\n]*"
color body      brightcyan      default         "mailto:[-a-z_0-9.]+@[-a-z_0-9.]+"
color body      brightcyan      default         "news:[^ \">\t\n]*"
mono  body      bold                            "(http|https|ftp|news|telnet|finger)://[^ \">\t\n]*"
mono  body      bold                            "mailto:[-a-z_0-9.]+@[-a-z_0-9.]+"
mono  body      bold                            "news:[^ \">\t\n]*"

# -[ EMAIL ADDRESSES ]---------------------------------------------------------

color body      brightcyan      default         "[-a-z_0-9.%$]+@[-a-z_0-9.]+\\.[-a-z][-a-z]+"
mono  body      bold                            "[-a-z_0-9.%$]+@[-a-z_0-9.]+\\.[-a-z][-a-z]+"

# -[ VARIOUS SMILIES AND THE LIKE ]--------------------------------------------

color body      brightgreen     default         "<[Gg]>"                                                # <g>
color body      brightgreen     default         "<[Bb][Gg]>"                                            # <bg>
color body      brightgreen     default         " [;:]-*[)>(<|]"                                        # :-) etc...
color body      brightgreen     default         "(^|[[:space:]])\\*[^[:space:]]+\\*([[:space:]]|$)"     # *Bold* text.
color body      brightgreen     default         "(^|[[:space:]])_[^[:space:]]+_([[:space:]]|$)"         # _Underlined_ text.
color body      brightgreen     default         "(^|[[:space:]])/[^[:space:]]+/([[:space:]]|$)"         # /Italic/ text.
